/*---------------------------------------------------------------------------*\

    FILE....: VPBFILEMAN.H
    TYPE....: C++ Header File
    AUTHOR..: John Kostogiannis
    DATE....: 9/12/97

    Basic C File I/O functions that have error trapping shells around them.
	This file contains the versions of the functions for use within the 
	APi implementation.  The module VPBFILEMAN also contains App callable
	versions, the headers for these functions are in vpbapi.h

\*---------------------------------------------------------------------------*/

/*---------------------------------------------------------------------------*\

	Copyright (C) 1999 Voicetronix Pty Ltd

	This program is free software; you can redistribute it and/or
	modify it under the terms of the GNU General Public License
	as published by the Free Software Foundation; either version 2
	of the License, or (at your option) any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

\*---------------------------------------------------------------------------*/

#ifndef __VTFILEMAN__
#define __VTFILEMAN__

/*-------------------------------------------------------------------------*\

			    FUNCTION HEADERS

\*-------------------------------------------------------------------------*/

int fileopen(const char *filep, int flags,int pmode);
int fileopen(const char *filep, int flags);
int fileclose(int filehandle);
long fileseek(int filehandle,long offset,int origin);
int fileread(int filehandle,void *buffer,unsigned int count);
int filewrite(int filehandle,void *buffer,unsigned int count);

#endif	/* #ifndef __VTFILEMAN__	*/

